math::TPrinter< T > Class Template Reference

`#include <printer.h>`

Inheritance diagram for math::TPrinter< T >:
[legend]
Collaboration diagram for math::TPrinter< T >:
[legend]

## Static Public Member Functions

static void | printOn (std::ostream &AOutput, const TNode< T > *AExpr)
static std::string | print (const TNode< T > *AExpr)

## Additional Inherited Members

## Detailed Description

### template<class T>
class math::TPrinter< T >

The TPrinter<> visitor class implements stream printing for for the expression tree. Use the static printOn method to print.

Definition at line 37 of file printer.h.

## Member Function Documentation

template<class T >

static std::string math::TPrinter< T >::print | ( | const TNode< T > * | AExpr | ) |

static

print prints given expression, AExpr, into a std::string and returns its value.
This is just a wrapper method to printon with std::ostringstream, but often used.

template<class T >

static void math::TPrinter< T >::printOn | ( | std::ostream & | AOutput,
|  | const TNode< T > * | AExpr
| ) |  |

static

printOn prints given expression, AExpr, to the given output stream AOutput.

The documentation for this class was generated from the following file:

- printer.h